Figure - 0 O Dev #114683
0 O Dev#110122 (New): D MKO 00 0 O
0 O Dev#110126 (New): 0 MKO DAFO 000 O

UOMKOOAFOOODOOOODOTC-RID: 1201-02045010)

2022-12-1911:50-CD TPM-O O O
Status: OO Closed Start date: 2022-12-19
Priority: Normal Due date:
Assignee: CDTPM-U OO % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description
History
#1-2022-12-19 19:14 - 10T scm
Gerrit Merge Information(
1D Project Branch Uploader
171063 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com

her3

-ftm-dvtl

FW: Launcher: Start BurninTest Application for factory test.Start BurnInTest Application for factory test. TC-RID: 1201-0201002IssuelD:
TS-R-DF-114683Change-Id: 1f527f615eca8aed6e7d86cfc75844f0b733252¢f

#2 - 2022-12-19 19:15 - loT scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

171131

general/platform/vendor/thundercom
m/apps/FactoryTest

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm-dvtl

wangxl0510@thundersoft.com

FW: FactoryTest: Add BurninTest Application for factory test. Add BurninTest Application for factory test. TC-RID: 1201-0201002IssuelD:
TS-R-DF-114683Change-1d: 1275a70ce676d64f310eb0448ed676f691408291f

#3 -2022-12-2011:08 - CD TPM-0O0 O O

- Subject changed from O MKO O AFO O 0 O O O apkO O TC-RID: 1201-02010020 to 0 MKO O AFO 0 0 0 O O O O TC-RID: 1201-02010020

#4 - 2022-12-20 11:25 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

171232

general/platform/vendor/thundercom
m/apps/TCService

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm-dvtl

wangxl0510@thundersoft.com

2025-07-04

1/8




FW: FactoryTest: Disable MCU auto update.Don't send update message to mcu in ftm branch. TC-RID: 1201-0201002Issuel D: TS-R-DF-114683Change-1d:
lccce214719412ca27b8d65b8adf75fecf71611a3

#5 - 2022-12-26 10:17 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
172143 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/FactoryTest -ftm-dvtl

FW: FactoryTest: Modify logic of running BurninTest Application for factory test.|f test result exist, do not run again. TC-RID: 1201-0201002IssuelD:
TS-R-DF-114683Change-Id: lecd838d42d9b02f373e96862fe8c4d00a10789b4

#6 - 2023-01-16 19:47-CD TPM-O O O
- Assignee setto CD TPM-0 0 O

#7 - 2023-01-16 19:47-CD TPM-0 0 O
- Status changed from New to O O Closed
- % Done changed from 0 to 100

#8 -2023-02-1317:23-CD TPM-0O0 O O
- Subject changed from O MKO O AFO 0 0 O O 0 O O TC-RID: 1201-02010020 to D MKO OAFO OO0 OO O O O TC-RID: 1201-02045010

#9 - 2023-02-13 17:30 - loT scm
Gerrit Merge Information(

1D Project Branch Uploader
181361 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/FOTA -dev

AF: TestTools: Add some new functions in test application.1.Delete MCU upgrade function.2.Add IDCM audio control function.3.Add reboot function. TC-RID:
1201-02045011ssuelD: TS-R-DF-114683Change-Id: 1414f71¢c72072ea78791292fd391edfed7de59a84

#10 - 2023-02-28 00:56 - IoT scm

Gerrit Merge Information]

1D Project Branch Uploader
184208 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/TestTools -dev

AF: TestTools: Move source code from McuUpdate to TestToolsTC-RID: 1201-02045011ssuel D: TS-R-DF-114683Change-I1d:
12cd0Obe49dch50e61e93bec8abb3bdc797chec693
#11 - 2023-02-28 00:56 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

184207

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: Move source code from McuUpdate to TestToolsTC-RID: 1201-02045011ssuel D: TS-R-DF-114683Change-I1d:
1a32f2a14550ff1be656f1a59a2943cd647a06926

#12 - 2023-02-28 00:57 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

184206

general/platform/packages/apps/Settin

gsintelligence

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: Move source code from McuUpdate to TestToolsTC-RID: 1201-02045011ssuelD: TS-R-DF-114683Change-1d:
19dc65e2e3da0284d8a53a0376f1c6026bbd3ab34

#13 - 2023-02-28 00:57 - loT scm

Gerrit Merge Information]

1D

Project

Branch

Uploader

184205

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangxl0510@thundersoft.com

AF: TestTools: Move source code from McuUpdate to TestToolsTC-RID: 1201-02045011ssuel D: TS-R-DF-114683Change-I1d:
12eb857533035bf3f113056236364556e6b70f807

#14 - 2023-03-02 09:39 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

184941

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: Add Engineer mode for debugging.Add Engineer mode interface. TC-RID: 1201-0204501IssuelD: TS-R-DF-114683Change-Id:
1a8136ec3c161dc272159bb59ec0709e23511a202

#15 - 2023-03-10 14:02 - 10T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

186880

2025-07-04

general/platform/vendor/thundercom

Pre_figure_turbox-c2130c-lal.1-gssi12

wangxl0510@thundersoft.com
m/apps/TestTools

-ftm_v0081

AF: TestTools: Add Engineer mode in test tools. TC-RID: 1201-02045011ssuelD: TS-R-DF-114683Change-1d: 1d6e2b61f8f2e21a3379246a401692dd3880b847¢c

#16 - 2023-03-10 14:15 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

186785

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm_v0081

wangxl0510@thundersoft.com

FW: Launcher: Start BurnInTest Application for factory test.Start BurninTest Application for factory test. TC-RID: 1201-0201002IssuelD:
TS-R-DF-114683Change-1d: 1f527f615eca8aed6e7d86cfc75844f0b733252ef(cherry picked from commit df4b085fb00d1e7adb43eefabe76ab030d38f11a)

#17 - 2023-03-10 14:56 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

186787

general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm_v0081

wangxl0510@thundersoft.com

FW: FactoryTest: Disable MCU auto update.Don't send update message to mcu in ftm branch.TC-RID: 1201-0201002IssuelD: TS-R-DF-114683Change-Id:
lccce214719412ca27h8d65h8adf75fecf71611a3(cherry picked from commit f623925bde3bc2a7612700233209f3d5e84f389c)

#18 - 2023-03-14 19:53 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

185246

general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: Add Engineer mode in test tools. TC-RID: 1201-02045011ssuelD: TS-R-DF-114683Change-1d: 1d6e2b61f8f2e21a3379246a401692dd3880b847¢c

#19 - 2023-04-16 11:26 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

193972

general/platform/packages/apps/Launc
her3

Pre_figure_turbox-c2130c-lal.1-gssi12
-ftm_v0090

wangxl0510@thundersoft.com

2025-07-04

4/8




FW: Launcher: Start BurninTest Application for factory test.Start BurninTest Application for factory test. TC-RID: 1201-0201002IssuelD:
TS-R-DF-114683Change-Id: 1f527f615eca8aed6e7d86cfc75844f0b733252ef(cherry picked from commit df4b085fb00d1e7adb43eefa5e76ab030d38f11a)(cherry
picked from commit c6ebe5d14a8a75af4af5abe39ed3a4bbb6b835fe)

#20 - 2023-04-16 11:27 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
193969 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/TCService -ftm_v0090

FW: FactoryTest: Disable MCU auto update.Don't send update message to mcu in ftm branch.TC-RID: 1201-0201002Issuel D: TS-R-DF-114683Change-1d:
lccce214719412ca27b8d65b8adf75fecf71611a3(cherry picked from commit f623925bde3bc2a7612700233209f3d5e84389c) (cherry picked from commit
93dfcc500698718902be695ad1f37695d88afh69)

#21 - 2023-05-03 16:34 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
197291 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/TCService -ftm_v0095

FW: FactoryTest: Disable MCU auto update.Don't send update message to mcu in ftm branch. TC-RID: 1201-0201002Issuel D: TS-R-DF-114683Change-1d:
lccce214719412ca27b8d65b8adf75fecf71611a3(cherry picked from commit f623925bde3bc2a7612700233209f3d5e84f389c) (cherry picked from commit
93dfcc500698718902be695ad1f37695d88afb69) (cherry picked from commit c403f47b39697cc368deld671a9¢652fe99108f6)

#22 - 2023-05-03 16:34 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
197285 general/platform/packages/apps/Launc | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
her3 -ftm_v0095
FW: Launcher: Start BurnInTest Application for factory test.Start BurninTest Application for factory test. TC-RID: 1201-0201002IssuelD:
TS-R-DF-114683Change-1d: 1f527f615eca8aed6e7d86cfc75844f0b733252¢f(cherry picked from commit df4b085fb00d1e7adb43eefa5e76ab030d38f11a)(cherry
picked from commit c6ebe5d14a8a75af4af5abe39ed3adbbb6b835fe) (cherry picked from commit 0aa558df43311ech46cbc166026202b6a80b5a4c)

#23 - 2023-05-19 21:03 - loT scm

Gerrit Merge Information(]

1D Project Branch Uploader
200288 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/TestTools -dev

AF: TestTools: Add some tips for OTA.TC-RID: 1201-0204501lssuelD: TS-R-DF-114683Change-Id: 18c73a73a0135692705f85ec73dfe430eedd73619

#24 - 2023-06-21 11:25 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
208999 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/TestTools -dev

AF: TestTools: Modify tips for debug mode. TC-RID: 1201-02045011ssuelD: TS-R-DF-114683Change-Id: 15721096b60affed401c9500ch32786357568fd38

#25 - 2023-06-25 21:40 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
209671 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/TestTools -release_sorp

AF: TestTools: Modify tips for debug mode. TC-RID: 1201-0204501Issuel D: TS-R-DF-114683Change-1d: 15721096b60affed401c9500cb32786357568fd38(cherry
picked from commit 2982c7033178794ff8b36d31e46a6d3693a08009)

#26 - 2023-07-06 20:26 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
212799 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | wangxl0510@thundersoft.com
m/apps/TestTools -release_sorp

AF: TestTools: Hide audio control button and debug mode button. TC-RID: 1201-0204501IssuelD: TS-R-DF-114683Change-Id:
1120b45d07e31a5fc3700e71530ccaaf7c1c4a956

#27 - 2023-07-06 21:27 - loT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

212964

general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF: TestTools: Hide audio control button and debug mode button in user version. TC-RID: 1201-02045011ssuelD: TS-R-DF-114683Change-1d:
1c6603761c03d8dd6691b30e71eec596eedald20e

#28 - 2023-07-12 15:21 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

212241

general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangxl0510@thundersoft.com

AF: TestTools: Add sync operation and modify delay for OTA.TC-RID: 1201-0204501IssuelD: TS-R-DF-114683Change-1d:
124a51a60c8321a1367279490f898b4b8424h261

#29 - 2023-07-12 20:20 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

214368

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

ca0qg0702@thundersoft.com

AF: TestTools: change the attribute name of the debugging mode. TC-RID: 1201-0204501IssuelD: TS-R-DF-114683Change-Id:
14921ed0baa72223c05b597a3¢c504819e7ae7eaed

#30 - 2023-07-13 21:50 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

214746

general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF: TestTools: Add sync operation and modify delay for OTA.TC-RID: 1201-02045011ssuelD: TS-R-DF-114683Change-1d:
124a51a60c8321fa1367279490f898b4b8424b261(cherry picked from commit 54963c03f56e7a1ca00129b0ad8d08dchdd213fc)

#31 - 2023-07-13 21:51 - 10T scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

214748

general/platform/frameworks/base

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04

718




AF: TestTools: change the attribute name of the debugging mode. TC-RID: 1201-0204501IssuelD: TS-R-DF-114683Change-I1d:

14921ed0baa72223c05b597a3c504819e7ae7eae9d(cherry picked from commit 57a7a0f744f66b2986108568fe3aach53be06e4f)

#32 - 2023-07-18 20:03 - IoT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

215874

general/platform/vendor/thundercom
m/apps/TestTools

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangxl0510@thundersoft.com

AF: TestTools: Add factory reset button in test tools. TC-RID: 1201-0204501IssuelD: TS-R-DF-114683Change-Id: 1fe004d828de5a4a32129287510ea3e19488c5b94

#33 - 2023-07-18 20:09 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

215828

general/platform/vendor/thundercom

m/apps/TestTools

Pre_figure_turbox-c2130c-lal.1-gssi12

-release_sorp

wangxl0510@thundersoft.com

AF: TestTools: Add factory reset button in test tools. TC-RID: 1201-02045011ssuel D: TS-R-DF-114683Change-Id:
1fe004d828de5a4a32129287510ea3e19488c5h94(cherry picked from commit ¢2887868a0cfcffedfelb37da35bf9b35412d285)

2025-07-04
